@mixin make-outline-style($s) {
    #{$s}outline-{
        &solid{
            outline-style: solid;
        }
        &dashed{
            outline-style: dashed;
        }
        &dotted{
            outline-style: dotted;
        }
        &double{
            outline-style: double;
        }
        &none{
            outline-style: none;
        }
    }
}